<template>
  <div>
    <div class="row top">
      <h3 class="left">{{ $t('connected') }}</h3>
      <button @click="deco" class="btn btn-outline-danger">{{ $t('deco') }}</button>
    </div>
    <div class="top form" :style="customColorStyle">
      <div class=bottom> {{ $t('your-email') }} : {{ this.$store.state.email }} </div>
      <div v-if="this.$store.state.roles && this.$store.state.roles.length !== 0">{{ $t('your-roles') }} : {{ this.$store.state.roles.join() }} </div>
      <div v-else>{{ $t('no-role') }} </div>
    </div>
  </div>
</template>

<script>
import custom from '@/shared/custom'
import APILogin from '@/api/login'
export default {
  name: 'LogedComponent',
  methods: {
    deco () {
      this.$store.commit('saveLoading', true)
      this.$store.commit('saveTokens', null)
      this.$store.commit('saveLoading', false)
      this.$alert(this.$t('disconnected'), this.$t('loading'), 'success')
      setTimeout(() => { this.$router.go() }, 500)
    }
  },
  computed: {
    customColorStyle () {
      return custom.customColorStyle()
    }
  },
  mounted () {
    custom.getGoodItemAndColorIt(this.$route.path)
    if (APILogin.isTokenExpire(this.$store.state.tokens.access_token) && APILogin.isTokenExpire(this.$store.state.tokens.refresh_token)) {
      this.$alert(this.$t('need-reconnect'), this.$t('session-expired'), 'error')
      this.$store.commit('saveTokens', null)
    }
  }
}
</script>

<style scoped>
.top {
  margin-top: 30px;
}
.left {
  margin-left: 40%;
}
p {
  margin: auto;
}
.btn {
  margin-left: 2%;
}
.row {
  margin-left: 0;
  margin-right: 0;
}
.bottom {
  margin-bottom: 10px;
}
.form {
  max-width: 30%;
  margin: 30px 7% 25px 35%;
  border-radius: 15px;
  padding: 20px;
}
</style>
